DELETE
/projects/{projectName}/placements/{placementName}
http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}<p>Deletes a placement. To delete a placement, it must not have any devices associated with it.</p> <note> <p>When you delete a placement, all associated data becomes irretrievable.</p> </note>
Access Token Required: API Key
Path Parameters
placementNamestringrequired
The name of the empty placement to delete.
projectNamestringrequired
The project containing the empty placement to delete.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}